<?php
/*
*

 ______   _______  __   __  _______  _______  ___   _______ 
|      | |       ||  |_|  ||       ||       ||   | |       |
|  _    ||    ___||       ||   _   ||_     _||   | |       |
| | |   ||   |___ |       ||  | |  |  |   |  |   | |       |
| |_|   ||    ___||       ||  |_|  |  |   |  |   | |      _|
|       ||   |___ | ||_|| ||       |  |   |  |   | |     |_ 
|______| |_______||_|   |_||_______|  |___|  |___| |_______|
 _______  __   __  _______                                  
|       ||  |_|  ||       |                                 
|       ||       ||  _____|                                 
|       ||       || |_____                                  
|      _||       ||_____  |                                 
|     |_ | ||_|| | _____| |                                 
|_______||_|   |_||_______|                                                   
                                              
                                           
*
*
*/

/**
 * Demotic CMS is a fork of ImpressPages.
 * AUTHOR: Demotic
 * @package Demotic
 */

namespace Demotic\Gebtu\Media;

class AdminController extends \Demotic\Controller
{
    public function index()
    {
        ipAddCss('assets/repositoryLayout.css');
        ipAddJs('assets/layout.js');
        $routeVariables = array(
            'aa' => 'Media.repository',
            'disableAdminNavbar' => 1
        );

        ipResponse()->setLayoutVariable('removeAdminContentWrapper', true);
        return ipView('view/index.php', array('repositoryUrl' => ipActionUrl($routeVariables)));

    }

    public function repository()
    {
        ipAddJs('assets/repositoryManager.js');
        ipAddCss('assets/repositoryManager.css');
    }
}
